libebook::EBOOKXMLEmptyContextBase Class Reference documentation

libebook::EBOOKXMLEmptyContextBase Class Reference

`#include <EBOOKXMLContextBase.h>`

Inheritance diagram for libebook::EBOOKXMLEmptyContextBase:

## Protected Member Functions
void | startOfElement () override
| Signalize the start of an element.
void | endOfAttributes () override
| Signalize the end of attributes.
std::shared_ptr< EBOOKXMLContext > | element (int name) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
void | endOfElement () override
| Signalize the end of an element.

## Additional Inherited Members
Public Member Functions inherited from libebook::EBOOKXMLContext
virtual | ~EBOOKXMLContext ()=0
virtual void | attribute (int name, const char *value)=0
| Process an attribute.

## Member Function Documentation

## ◆ element()

shared_ptr< EBOOKXMLContext > libebook::EBOOKXMLEmptyContextBase::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libebook::EBOOKXMLContext.

## ◆ endOfAttributes()

void libebook::EBOOKXMLEmptyContextBase::endOfAttributes | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of attributes.

Implements libebook::EBOOKXMLContext.

## ◆ endOfElement()

void libebook::EBOOKXMLEmptyContextBase::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libebook::EBOOKXMLContext.

## ◆ startOfElement()

void libebook::EBOOKXMLEmptyContextBase::startOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::EBOOKXMLContext.

## ◆ text()

void libebook::EBOOKXMLEmptyContextBase::text | ( | const char * | value | ) |
| overrideprotectedvirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libebook::EBOOKXMLContext.

The documentation for this class was generated from the following files:

- EBOOKXMLContextBase.h
- EBOOKXMLContextBase.cpp